Package org.eclipse.rap.rwt.service

# Interface ResourceLoader

public interface ResourceLoader
A resource loader is used to load the contents of a named resource.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getResourceAsStream(String resourceName)`
Returns an input stream to the resource contents.

## Method Details

### getResourceAsStream

InputStream getResourceAsStream(String resourceName) throws IOException
Returns an input stream to the resource contents.

Parameters:
  `a` - name to identify the resource
Returns:
  an input stream or `null` if the resource could not be found
Throws:
  `IOException`